# Generated from snowbutton-0.1.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name snowbutton

Name: rubygem-%{gem_name}
Version: 0.1.7
Release: 1%{?dist}
Summary: A simple compass extension to allow the simply beautiful styled button known as snowbutton
License: MIT
URL: https://github.com/the1codemaster/snowbutton
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
This extension uses scss syntax and relies on compass. It should be used in a
sass project
for those who would improve thier button desing. The button is intended only
for use centered and
will work improperly when pushed against sides of objects.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/snowbutton-0.1.0.gem
%{gem_instdir}/snowbutton-0.1.1.gem
%{gem_instdir}/snowbutton-0.1.2.gem
%{gem_instdir}/snowbutton-0.1.3.gem
%{gem_instdir}/snowbutton-0.1.4.gem
%{gem_instdir}/snowbutton-0.1.5.gem
%{gem_instdir}/snowbutton-0.1.6.gem
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/snowbutton.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.1.7-1
- Initial package
